## parley 4.8.4

=== plasmoid/CMakeLists.txt ===
project(plasma-parley)
add_subdirectory( engine )

include_directories( ${LIBKDEEDU_INCLUDE_DIR} )
set(parley_plasma_SRCS
    parley_plasma.cpp
    )

kde4_add_ui_files(parley_plasma_SRCS config.ui)

kde4_add_plugin(plasma_applet_parley ${parley_plasma_SRCS})
target_link_libraries(plasma_applet_parley
    plasma ${KDE4_KIO_LIBS}
    ${LIBKDEEDU_KEDUVOCDOCUMENT_LIBRARIES}
    )

install(
    TARGETS plasma_applet_parley
    DESTINATION ${PLUGIN_INSTALL_DIR}
    )

install(
    FILES plasma_parley.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
    )

install(
    FILES parley_plasma_card.svg
    DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/widgets/
    )

## parley 4.7.1

=== debian/changelog ===
parley (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 16 Sep 2011 01:17:36 +0200

parley (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Thu, 08 Sep 2011 21:40:11 +0200

parley (4:4.7.0-0ubuntu2) UNRELEASED; urgency=low

  * Recommend krosspython and python-kde4 to make plugins work.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 12 Aug 2011 12:29:54 +0200

parley (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 24 Jul 2011 23:51:39 +0200

parley (4:4.6.90+repack-0ubuntu1) oneiric; urgency=low

  * Initial release (parley moved out of kdeedu)
  * Repacked tarball to include a copy of GPL-2 and GFDL-1.2

 -- Michał Zając <quintasan@kubuntu.org>  Mon, 11 Jul 2011 11:50:47 +0200

=== debian/control ===
Source: parley
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.launchpad.net>
XSBC-Original-Maintainer: Michal Zajac <quintasan@kubuntu.org>
Build-Depends: debhelper (>= 7.0.50~), cmake, pkg-kde-tools (>= 0.12),
 kdelibs5-dev, kde-sc-dev-latest (>= 4:4.7.1),
 libkdeedu-dev, libattica-dev, libxml2-dev, libx11-dev,
 libxrender-dev
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/kde/kdeedu/parley
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/parley
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/parley

Package: parley
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libwww-perl,
 parley-data (>= ${source:Version}), kdeedu-kvtml-data
Recommends: krosspython, python-kde4
Description: vocabulary trainer for KDE
 Parley is a utility to help train vocabulary when learning a foreign language.
 It is intended as a replacement for flash cards.

Package: parley-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for the Parley vocabulary trainer
 This package contains architecture-independent data files for the Parley
 vocabulary trainer.

## parley 4.7.2

=== debian/changelog ===
parley (4:4.7.2-1) experimental; urgency=low

  [ Felix Geyer ]
  * Initial release, based on the Kubuntu package.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:44:01 -0300

=== debian/control ===
Source: parley
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev,
 libkdeedu-dev,
 libattica-dev,
 libxml2-dev,
 libxslt-dev,
 libx11-dev,
 libxrender-dev
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/kde/kdeedu/parley
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/parley.git
Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/parley.git

Package: parley
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 parley-data (>= ${source:Version}), kdeedu-kvtml-data
Recommends: krosspython, python-kde4
Suggests: khelpcenter4
Description: vocabulary trainer for KDE
 Parley is a utility to help train vocabulary when learning a foreign language.
 It is intended as a replacement for flash cards.
 .
 This package is part of the KDE education module.

Package: parley-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for the Parley vocabulary trainer
 This package contains architecture-independent data files for the Parley
 vocabulary trainer.
 .
 This package is part of the KDE education module.

## parley 4.7.4

=== debian/changelog ===
parley (4:4.7.4-1) experimental; urgency=low

  * New upstream release. 
  
  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.4.
  * Add myself to Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 01:37:44 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
+Uploaders: Eshat Cakar <info@eshat.de>,
+ José Manuel Santamaría Lema <panfaust@gmail.com>
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  kdelibs5-dev,
  libkdeedu-dev,

## parley 4.8.2

=== debian/changelog ===
parley (4:4.8.2-0ubuntu1) precise; urgency=low

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 03 Apr 2012 08:51:48 +0000

parley (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Mar 2012 21:04:47 +0100

parley (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 23 Jan 2012 21:59:40 +0100

parley (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:34 +0000

parley (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 22:00:21 +0100

parley (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 17 Dec 2011 15:06:58 +0000

parley (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian Git, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 23:47:07 +0000

parley (4:4.7.2-0r0) UNRELEASED; urgency=low

  [ Felix Geyer ]
  * Initial release, based on the Kubuntu package.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 26 Oct 2011 15:43:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: parley
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>,
- José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Eshat Cakar <info@eshat.de>
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.1),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev,
- libkdeedu-dev,
+ kdelibs5-dev (>= 4:4.8.1),
+ libkdeedu-dev (>= 4:4.8.1),
  libattica-dev,
  libxml2-dev,
  libxslt-dev,
@@ -15,8 +15,10 @@
  libxrender-dev
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdeedu/parley
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/parley.git
-Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/parley.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/parley.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/parley
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/parley
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/parley.git
 
 Package: parley
 Architecture: any

## parley 4.8.4

=== debian/changelog ===
parley (4:4.8.4-1) unstable; urgency=low

  * New upstream

 -- Sune Vuorela <sune@debian.org>  Wed, 20 Jun 2012 10:07:35 +0200

parley (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Wed, 07 Mar 2012 17:26:53 +0100

=== debian/control ===
Source: parley
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev,
 libkdeedu-dev,
 libattica-dev,
 libxml2-dev,
 libxslt-dev,
 libx11-dev,
 libxrender-dev
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/kde/kdeedu/parley
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/parley.git
Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/parley.git

Package: parley
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 parley-data (>= ${source:Version}), kdeedu-kvtml-data
Recommends: krosspython, python-kde4
Suggests: khelpcenter4
Description: vocabulary trainer
 Parley is a utility to help train vocabulary when learning a foreign language.
 It is intended as a replacement for flash cards.
 .
 This package is part of the KDE education module.

Package: parley-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for the Parley vocabulary trainer
 This package contains architecture-independent data files for the Parley
 vocabulary trainer.
 .
 This package is part of the KDE education module.

## parley 4.8.5

=== debian/changelog ===
parley (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release (LP: #1047417)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 16:54:49 +0200

parley (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Thu, 03 May 2012 10:56:16 +0200

=== debian/control ===
Source: parley
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8.1),
 libkdeedu-dev (>= 4:4.8.1),
 libattica-dev,
 libxml2-dev,
 libxslt-dev,
 libx11-dev,
 libxrender-dev,
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/kde/kdeedu/parley
X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/parley.git
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/parley
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/parley
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/parley.git

Package: parley
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 parley-data (>= ${source:Version}), kdeedu-kvtml-data
Recommends: krosspython, python-kde4
Suggests: khelpcenter4
Description: vocabulary trainer for KDE
 Parley is a utility to help train vocabulary when learning a foreign language.
 It is intended as a replacement for flash cards.
 .
 This package is part of the KDE education module.

Package: parley-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for the Parley vocabulary trainer
 This package contains architecture-independent data files for the Parley
 vocabulary trainer.
 .
 This package is part of the KDE education module.

## parley 4.9.2

=== debian/changelog ===
parley (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:46:10 +0100

parley (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 04 Sep 2012 15:31:21 +0530

parley (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:48:30 +0100

parley (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 23:48:30 +0200

parley (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2012 16:08:06 +0100

parley (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Add libssl-dev to build-dep
    - Bump Standard-Version to 3.9.3 (no change)

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Thu, 03 May 2012 10:56:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
+Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8.1),
- libkdeedu-dev (>= 4:4.8.1),
+ kdelibs5-dev (>= 4:4.9.2),
+ libkdeedu-dev (>= 4:4.9.2),
  libattica-dev,
  libxml2-dev,
  libxslt-dev,
  libx11-dev,
  libxrender-dev,
-Standards-Version: 3.9.2
+ libssl-dev
+Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/kde/kdeedu/parley
 X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/parley.git
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/parley

## parley 4.9.3

=== debian/changelog ===
parley (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:41:56 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2),
- libkdeedu-dev (>= 4:4.9.2),
+ kdelibs5-dev (>= 4:4.9.3),
+ libkdeedu-dev (>= 4:4.9.3),
  libattica-dev,
  libxml2-dev,
  libxslt-dev,

## parley 4.9.5

=== debian/changelog ===
parley (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:48:30 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.3),
+ kdelibs5-dev (>= 4:4.9.5),
  libkdeedu-dev (>= 4:4.9.3),
  libattica-dev,
  libxml2-dev,

## parley 4.10.0

=== debian/changelog ===
parley (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:23:10 +0000

parley (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 16:33:08 +0000

parley (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:49:37 +0100

parley (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:49:27 +0000

parley (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:19:46 +0000

parley (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release
  * Add build-dep on pkg-config, makes cmake output cleaner

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 16:22:43 +0000

parley (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:50:53 +0100

parley (4:4.7.2-0r0) raring; urgency=low

  [ Felix Geyer ]
  * Initial release, based on the Kubuntu package.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 26 Oct 2011 15:43:08 +0200

parley (4:4.7.0-0ubuntu2) raring; urgency=low

  * Recommend krosspython and python-kde4 to make plugins work.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 12 Aug 2011 12:29:54 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.5),
- libkdeedu-dev (>= 4:4.9.3),
+ kdelibs5-dev (>= 4:4.10.0),
+ libkdeedu-dev (>= 4:4.10.0),
  libattica-dev,
  libxml2-dev,
  libxslt-dev,
  libx11-dev,
  libxrender-dev,
- libssl-dev
+ libssl-dev,
+ pkg-config,
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/kde/kdeedu/parley
 X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/parley.git

## parley 4.10.2

=== debian/changelog ===
parley (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 15:04:45 +0200

parley (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:58:30 +0000

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0),
- libkdeedu-dev (>= 4:4.10.0),
+ kdelibs5-dev (>= 4:4.10.2),
+ libkdeedu-dev (>= 4:4.10.2),
  libattica-dev,
  libxml2-dev,
  libxslt-dev,

## parley 4.10.3

=== debian/changelog ===
parley (4:4.10.3-0ubuntu0.1~ubuntu13.04) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1176358)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 04 May 2013 18:22:12 +0200

parley (4:4.10.2-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 15:04:45 +0200

parley (4:4.10.1-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:58:30 +0000

parley (4:4.10.0-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:23:10 +0000

parley (4:4.9.98-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 16:33:08 +0000

parley (4:4.9.97-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:49:37 +0100

parley (4:4.9.95-0ubuntu1) raring-proposed; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:49:27 +0000

parley (4:4.9.90-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:19:46 +0000

parley (4:4.9.80-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release
  * Add build-dep on pkg-config, makes cmake output cleaner

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 16:22:43 +0000

parley (4:4.9.3-0ubuntu1) raring-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:50:53 +0100

parley (4:4.7.2-0r0) raring-proposed; urgency=low

  [ Felix Geyer ]
  * Initial release, based on the Kubuntu package.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 26 Oct 2011 15:43:08 +0200

parley (4:4.7.0-0ubuntu2) raring-proposed; urgency=low

  * Recommend krosspython and python-kde4 to make plugins work.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 12 Aug 2011 12:29:54 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.2),
+ kdelibs5-dev (>= 4:4.10.3),
  libkdeedu-dev (>= 4:4.10.2),
  libattica-dev,
  libxml2-dev,

## parley 4.11.2

=== debian/changelog ===
parley (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:59:04 +0100

parley (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:43:54 +0100

parley (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:43:25 +0100

parley (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 20:11:12 +0100

parley (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:33 +0000

parley (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:34:51 +0100

parley (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 02:00:59 +0100

parley (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:55:32 +0100

parley (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:59 +0000

parley (4:4.10.2-1) experimental; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Bump the kde-sc-dev-latest, kdelibs5-dev and libkdeedu-dev build
    dependencies to 4.10.
  * Update Uploaders.
  * Update copyright.

 -- Sune Vuorela <sune@debian.org>  Fri, 12 Apr 2013 20:21:32 +0000

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,22 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>
-Build-Depends: 
+Uploaders: Eshat Cakar <info@eshat.de>,
+Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.3),
- libkdeedu-dev (>= 4:4.10.2),
+ kdelibs5-dev (>= 4:4.11.2),
+ libkdeedu-dev (>= 4:4.11.2),
  libattica-dev,
  libxml2-dev,
  libxslt-dev,
  libx11-dev,
- libxrender-dev,
- libssl-dev,
- pkg-config,
-Standards-Version: 3.9.3
+ libxrender-dev
+Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdeedu/parley
 X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/parley.git
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/parley
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/parley
-X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/parley.git
+X-Debian-Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/parley.git
 
 Package: parley
 Architecture: any
@@ -28,7 +26,7 @@
  parley-data (>= ${source:Version}), kdeedu-kvtml-data
 Recommends: krosspython, python-kde4
 Suggests: khelpcenter4
-Description: vocabulary trainer for KDE
+Description: vocabulary trainer
  Parley is a utility to help train vocabulary when learning a foreign language.
  It is intended as a replacement for flash cards.
  .

## parley 4.11.3

=== debian/changelog ===
parley (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 16:12:00 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2),
+ kdelibs5-dev (>= 4:4.11.3),
  libkdeedu-dev (>= 4:4.11.2),
  libattica-dev,
  libxml2-dev,
@@ -16,8 +16,8 @@
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdeedu/parley
 X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/parley.git
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/parley
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/parley
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/parley-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/parley-13.10
 X-Debian-Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/parley.git
 
 Package: parley

## parley 4.13.0

=== scripts_test/CMakeLists.txt ===
project (scripts)
 
#find_package(KDE4 REQUIRED)
#include_directories( ${KDE4_INCLUDES} )

#install(FILES myscript.py DESTINATION ${DATA_INSTALL_DIR}/parleyscripts/)
 
set(scripts_SRCS main.cpp scripts.cpp translationscript.cpp)
 
kde4_add_executable(scripts ${scripts_SRCS})

target_link_libraries(scripts ${KDE4_KROSSCORE_LIBS} ${KDE4_KROSSUI_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} )

=== plasmoid/engine/CMakeLists.txt ===
set(parley_engine_SRCS
    parley_engine.cpp
)

include_directories( ${LIBKDEEDU_INCLUDE_DIR} )

kde4_add_plugin(plasma_engine_parley ${parley_engine_SRCS})
target_link_libraries(plasma_engine_parley ${KDE4_KDECORE_LIBS}
  plasma
  ${LIBKDEEDU_KEDUVOCDOCUMENT_LIBRARIES}
)

install(TARGETS plasma_engine_parley DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-dataengine-parley.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== debian/changelog ===
parley (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:31:09 +0100

parley (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:57:35 +0200

parley (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:58:27 +0100

parley (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 12:07:19 +0000

parley (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:18:53 +0100

parley (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:33:36 +0000

parley (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:46:14 +0000

parley (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:49:41 +0000

parley (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:48:12 +0000

parley (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:42:18 +0100

parley (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 18:02:37 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.3),
- libkdeedu-dev (>= 4:4.11.2),
+ kdelibs5-dev (>= 4:4.13.0),
+ libkdeedu-dev (>= 4:4.13.0),
  libattica-dev,
  libxml2-dev,
  libxslt-dev,
@@ -16,8 +16,8 @@
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdeedu/parley
 X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/parley.git
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/parley-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/parley-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/parley
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/parley
 X-Debian-Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/parley.git
 
 Package: parley

## parley 4.13.3

=== doc/CMakeLists.txt ===
########### install files ###############

#
#check-local:
#	$(MEINPROC) --check index.docbook
#
#convert-local:
#	$(MEINPROC) $(srcdir)/index.docbook
#                	
## needs pngcrush which reduces files size about 20%
## brute-crush takes _very_ long time
#crush:
#	mkdir -p crushed
#	for i in *.png; do \
#	  pngcrush $$i crushed/$$i;\
#	done
#	mv *.png /tmp
#	mv crushed/*.png .
#	rm -r crushed
#
#brute-crush:
#	mkdir -p crushed
#	for i in *.png; do \
#	  pngcrush -brute $$i crushed/$$i;\
#	done
#	mv *.png /tmp
#	mv crushed/*.png .
#	rm -r crushed
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR parley)

=== icons/CMakeLists.txt ===

kde4_install_icons( ${DATA_INSTALL_DIR}/parley/icons  )

=== plugins/wiktionary/CMakeLists.txt ===
install(FILES
    wiktionary_sound.desktop
    wiktionary_sound.py
    DESTINATION ${DATA_INSTALL_DIR}/parley/plugins)

install(FILES
    mwclient/__init__.py  
    mwclient/client.py  
    mwclient/compatibility.py  
    mwclient/errors.py  
    mwclient/ex.py  
    mwclient/http.py  
    mwclient/listing.py  
    mwclient/page_nowriteapi.py  
    mwclient/page.py
    mwclient/upload.py
    mwclient/README.txt
    DESTINATION ${DATA_INSTALL_DIR}/parley/plugins/mwclient)

install(FILES
    mwclient/simplejson/__init__.py
    mwclient/simplejson/decoder.py  
    mwclient/simplejson/encoder.py    
    mwclient/simplejson/jsonfilter.py  
    mwclient/simplejson/scanner.py
    mwclient/simplejson/ordered_dict.py
    mwclient/simplejson/tool.py
    DESTINATION ${DATA_INSTALL_DIR}/parley/plugins/mwclient/simplejson)

=== debian/changelog ===
parley (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:38:04 +0200

parley (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:56:22 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3),
  libkdeedu-dev (>= 4:4.13.0),
  libattica-dev,
  libxml2-dev,

## parley 4.14.1

=== debian/changelog ===
parley (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:58:37 +0200

parley (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:43:11 +0200

parley (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:34:05 +0200

parley (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 20:55:03 +0200

parley (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Add appdata file

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:45:39 +0200

parley (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:42:04 +0100

parley (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 May 2014 12:39:10 +0200

parley (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:56 +0200

parley (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:05:27 +0100

parley (4:4.12.2-1) experimental; urgency=low

  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:11 +0100

parley (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 15:23:46 +0100

parley (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 16:52:50 +0200

parley (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 16:43:02 +0200

parley (4:4.10.4-1) experimental; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Add the pkg-config build dependency.
  
  [ Maximiliano Curia ]
  * Add watch file.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 14:31:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,20 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>,
-Build-Depends: kde-sc-dev-latest (>= 4:4.10),
- cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.3),
- libkdeedu-dev (>= 4:4.13.0),
- libattica-dev,
- libxml2-dev,
- libxslt-dev,
- libx11-dev,
- libxrender-dev
-Standards-Version: 3.9.2
+Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake,
+               debhelper (>= 9),
+               kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev (>= 4:4.14.1),
+               libattica-dev,
+               libkdeedu-dev (>= 4:4.14.1),
+               libx11-dev,
+               libxml2-dev,
+               libxrender-dev,
+               libxslt-dev,
+               pkg-config,
+               pkg-kde-tools (>= 0.12)
+Standards-Version: 3.9.5
 Homepage: https://projects.kde.org/projects/kde/kdeedu/parley
 X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/parley.git
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/parley
@@ -22,8 +25,10 @@
 
 Package: parley
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- parley-data (>= ${source:Version}), kdeedu-kvtml-data
+Depends: kdeedu-kvtml-data,
+         parley-data (>= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: krosspython, python-kde4
 Suggests: khelpcenter4
 Description: vocabulary trainer

## parley 4.14.2

=== CMakeLists.txt ===
project(parley)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

set(CMAKE_MODULE_PATH ${parley_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

find_package(LibKdeEdu REQUIRED)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

macro_optional_find_package(LibXslt)
macro_optional_find_package(LibXml2)
find_package(LibAttica)

macro_bool_to_01(LIBXSLT_FOUND AND LIBXML2_FOUND HAVE_LIBXSLT)

macro_log_feature(LIBXSLT_FOUND "LibXSLT" "A library to transform XMLfiles into other XML files" "http://xmlsoft.org/XSLT" FALSE "" "Required to build HTML export for Parley.")
macro_log_feature(LIBXML2_FOUND "LibXML2" "Libraries used to develop XML applications" "http://xmlsoft.org" FALSE "" "Required to build HTML export for Parley.")
macro_log_feature(LIBATTICA_FOUND "libattica" "A library to access Open Collaboration Service providers" "http://kde.org" FALSE "" "Required to access OCS providers in get hot new stuff.")

macro_bool_to_01(1 HAVE_XRENDER)

# at the end, output the configuration
configure_file(
   ${CMAKE_CURRENT_SOURCE_DIR}/config-parley.h.cmake
   ${CMAKE_CURRENT_BINARY_DIR}/config-parley.h
)


# Define link libs for parley executable and unittests
set( parley_LINK_LIBS
    ${LIBKDEEDU_KEDUVOCDOCUMENT_LIBRARIES}
    ${KDE4_KHTML_LIBS}
    ${KDE4_KNEWSTUFF3_LIBS}
    ${KDE4_PHONON_LIBS}
    ${KDE4_KCMUTILS_LIBRARY} #for the KPluginSelector
    ${KDE4_KROSSCORE_LIBS} ${KDE4_KROSSUI_LIBS} #for Kross
    ${QT_QTCORE_LIBRARY}
)

if(HAVE_LIBXSLT)
  set( parley_LINK_LIBS ${parley_LINK_LIBS} ${LIBXML2_LIBRARIES} ${LIBXSLT_LIBRARIES})
endif(HAVE_LIBXSLT)

if (X11_Xrender_FOUND)
  set( parley_LINK_LIBS ${parley_LINK_LIBS} ${X11_LIBRARIES} ${X11_Xrender_LIB})
endif(X11_Xrender_FOUND)


#define the include libraries for both the parley executable and the autotests
set( parley_INCLUDE_DIRS
  ${LIBATTICA_INCLUDE_DIR}
  # libkdeedu/keduvocdocument contains the library for reading and writing vocabulary files
  ${LIBKDEEDU_INCLUDE_DIR}
)

#### XSLT Support ####
# to transform the document xml to html or other
if(HAVE_LIBXSLT)
    set( parley_INCLUDE_DIRS ${parley_INCLUDE_DIRS} ${LIBXML2_INCLUDE_DIR} ${LIBXSLT_INCLUDE_DIR} )
endif(HAVE_LIBXSLT)
#### End XSLT Support ####



add_subdirectory( autotests )
add_subdirectory( doc )
add_subdirectory( scripts_test )
add_subdirectory( src )
add_subdirectory( icons )
add_subdirectory( plugins )
add_subdirectory( themes )
add_subdirectory( tipofday )


if(HAVE_LIBXSLT)
    add_subdirectory( xslt )
endif(HAVE_LIBXSLT)

add_subdirectory(plasmoid)

install(FILES parley.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata/)

=== src/CMakeLists.txt ===
include_directories( ${parley_INCLUDE_DIRS}
		     ${CMAKE_CURRENT_SOURCE_DIR}/collection
		     ${CMAKE_CURRENT_SOURCE_DIR}/editor  # FIXME: Remove when moving the rest of the files in vocabulary/
)

# installation of kconfig files .kcfg containing app settings
add_subdirectory( settings )

set(parley_LIB_SRCS
    parleyactions.cpp
    parleydocument.cpp
    parleymainwindow.cpp
    collection/testentry.cpp
    collection/entryfilter.cpp
    collection/vocabularymimedata.cpp
    collection/containermimedata.cpp
    collection/readonlycontainermodel.cpp
    collection/containermodel.cpp
    collection/lessonmodel.cpp
    collection/vocabularymodel.cpp
    collection/vocabularyfilter.cpp
    collection/wordclassmodel.cpp
    collection/containerview.cpp
    configure-practice/configurepracticedialog.cpp
    configure-practice/generalpracticeoptions.cpp
    configure-practice/blockoptions.cpp
    configure-practice/thresholdoptions.cpp
    configure-practice/specificpracticeoptions.cpp
    editor/editor.cpp
    editor/vocabularycolumnsdialog.cpp
    editor/lessonview.cpp
    editor/vocabularydelegate.cpp
    editor/vocabularyheaderview.cpp
    editor/vocabularyview.cpp
    editor/wordtypeview.cpp
    editor/audiowidget.cpp
    editor/browserwidget.cpp
    editor/comparisonwidget.cpp
    editor/inflectionwidget.cpp
    editor/conjugationwidget.cpp
    editor/declensionwidget.cpp
    editor/imagechooserwidget.cpp
    editor/multiplechoicewidget.cpp
    editor/summarywordwidget.cpp
    editor/synonymwidget.cpp
    editor/latexwidget.cpp
    practice/sessionmanagerbase.cpp
    practice/sessionmanagercontinuous.cpp
    practice/sessionmanagerfixed.cpp
    practice/abstractfrontend.cpp
    practice/abstractbackendmode.cpp
    practice/practicestatemachine.cpp
    practice/comparisonbackendmode.cpp
    practice/comparisonmodewidget.cpp
    practice/conjugationbackendmode.cpp
    practice/conjugationmodewidget.cpp
    practice/guifrontend.cpp
    practice/abstractwidget.cpp
    practice/writtenpracticewidget.cpp
    practice/writtenpracticevalidator.cpp
    practice/writtenbackendmode.cpp
    practice/examplesentencebackendmode.cpp
    practice/flashcardmodewidget.cpp
    practice/flashcardbackendmode.cpp
    practice/multiplechoicemodewidget.cpp
    practice/multiplechoicebackendmode.cpp
    practice/genderbackendmode.cpp
    practice/mixedlettersmodewidget.cpp
    practice/imagewidget.cpp
    practice/practicemainwindow.cpp
    practice/practicesummarycomponent.cpp
    practice/boxeswidget.cpp
    practice/audiobutton.cpp
    practice/summarybarwidget.cpp
    practice/themedbackgroundrenderer.cpp
    practice/imagecache.cpp
    practice/statustoggle.cpp
    practice/statustogglebutton.cpp
    practice/latexrenderer.cpp
    scripts/scriptdialog.cpp
    scripts/scriptmanager.cpp
    scripts/scripting/parley.cpp
    scripts/scripting/document.cpp
    scripts/scripting/lesson.cpp
    scripts/scripting/expression.cpp
    scripts/scripting/translation.cpp
    scripts/scripting/text.cpp
    scripts/scripting/container.cpp
    scripts/scripting/identifier.cpp
    scripts/script.cpp
    scripts/translator.cpp
    settings/generaloptions.cpp
    settings/parleyprefs.cpp
    settings/viewoptions.cpp
    settings/documentproperties.cpp
    settings/languageproperties.cpp
    settings/languagepropertiespage.cpp
    settings/kgametheme/kgametheme.cpp
    settings/kgametheme/kgamethemeselector.cpp
    statistics/conjugationoptions.cpp
    statistics/lessonstatistics.cpp
    statistics/statisticsmodel.cpp
    statistics/statisticsmainwindow.cpp
    statistics/statisticslegendwidget.cpp
    dashboard/dashboard.cpp
    dashboard/buttondelegate.cpp
    dashboard/gradereferencewidget.cpp
    dashboard/barwidget.cpp
    dashboard/collectionwidget.cpp
)

kde4_add_ui_files(parley_LIB_SRCS
    collection/entryfilter.ui
    configure-practice/generalpracticeoptions.ui
    configure-practice/blockoptions.ui
    configure-practice/thresholdoptions.ui
    configure-practice/specificpracticeoptions.ui
    editor/multiplechoicewidget.ui
    editor/comparisonwidget.ui
    editor/conjugationwidget.ui
    editor/declensionwidget.ui
    editor/imagechooserwidget.ui
    editor/audiowidget.ui
    editor/synonymwidget.ui
    editor/browserwidget.ui
    editor/summarywordwidget.ui
    editor/latexwidget.ui
    practice/practicesummarywidget.ui
    practice/practice_mainwindow.ui
    practice/practice_widget_comparison.ui
    practice/practice_widget_conjugation.ui
    practice/practice_widget_flashcard.ui
    practice/practice_widget_multiplechoice.ui
    practice/practice_widget_written.ui
    settings/optionlistform.ui
    settings/viewoptionsbase.ui
    settings/generaloptionsbase.ui
    settings/languagepropertiespage.ui
    settings/documentproperties.ui
    settings/kgametheme/kgamethemeselector.ui
    statistics/statisticsmainwindow.ui
    dashboard/dashboard.ui
)

kde4_add_kcfg_files(parley_LIB_SRCS
    settings/prefs.kcfgc
    settings/documentsettings.kcfgc
    settings/languagesettings.kcfgc
)

#### XSLT Support ####
# to transform the document xml to html or other
if(HAVE_LIBXSLT)
    set(parley_LIB_SRCS ${parley_LIB_SRCS}
        exportdialog.cpp
    )

    kde4_add_ui_files(parley_LIB_SRCS
        exportdialog.ui
    )
endif(HAVE_LIBXSLT)
#### End XSLT Support ####

kde4_add_app_icon(parley_LIB_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/hi*-app-parley.png")

# This library is used both by parley itself and the unit tests.
kde4_add_library(parley_LIB STATIC ${parley_LIB_SRCS})

set(parley_SRCS
    main.cpp
)

kde4_add_executable(parley ${parley_SRCS})

kde4_install_icons( ${ICON_INSTALL_DIR} )

target_link_libraries(parley parley_LIB ${parley_LINK_LIBS})


########### install files ###############
install(TARGETS parley  ${INSTALL_TARGETS_DEFAULT_ARGS} )

# desktop files appear in the menus
install( PROGRAMS parley.desktop DESTINATION  ${XDG_APPS_INSTALL_DIR} )

# hot new stuff config
install( FILES parley.knsrc parley-themes.knsrc DESTINATION  ${CONFIG_INSTALL_DIR} )

# RC files - define menus and toolbars
install( FILES parleyui.rc  DESTINATION  ${DATA_INSTALL_DIR}/parley )
install( FILES dashboard/dashboardui.rc DESTINATION  ${DATA_INSTALL_DIR}/parley )
install( FILES editor/editorui.rc DESTINATION  ${DATA_INSTALL_DIR}/parley )
install( FILES statistics/statisticsui.rc DESTINATION  ${DATA_INSTALL_DIR}/parley )
install( FILES practice/practiceui.rc DESTINATION  ${DATA_INSTALL_DIR}/parley )
install( FILES practice/practicesummaryui.rc DESTINATION  ${DATA_INSTALL_DIR}/parley )

=== themes/CMakeLists.txt ===
install(FILES
   theme_reference.svgz
   theme_reference.desktop
   theme_reference_preview.jpg
   bees_theme.svgz
   bees_theme.desktop
   bees_theme_preview.jpg
   DESTINATION ${DATA_INSTALL_DIR}/parley/themes)

=== debian/changelog ===
parley (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:00 +0200

parley (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:25 +0200

parley (4:4.14.0-2) unstable; urgency=medium

  * Disable build time auto tests. (Closes: #759963)
  * Add basic autopkgtests.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 05 Sep 2014 11:10:06 +0200

parley (4:4.14.0-1) unstable; urgency=medium

  * Fix menu entry. (Closes: #757340)
  * New upstream release.
  * Update install file.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 21:19:28 +0200

parley (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.
  * Add menu file. (Closes: #589313)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 29 Jul 2014 10:58:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: parley
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Ubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+X-Ubuntu-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
+               imagemagick,
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kdelibs5-dev (>= 4:4.11),
                libattica-dev,
-               libkdeedu-dev (>= 4:4.14.1),
+               libkdeedu-dev (>= 4:4.14),
                libx11-dev,
                libxml2-dev,
                libxrender-dev,
@@ -17,11 +18,12 @@
                pkg-config,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
+XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/kde/kdeedu/parley
-X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/parley.git
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/parley
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/parley
-X-Debian-Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/parley.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/parley.git
+Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/parley.git
+X-Ubuntu-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/parley
+X-Ubuntu-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/parley
 
 Package: parley
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_build:
	$(overridden_command)
	# Generate icons
	while read src dest args; do \
	    convert $$args $(CURDIR)/$$src $(CURDIR)/$$dest; \
	done <debian/icon-list

override_dh_auto_test:
	# disable build time dh_auto_test

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@,
         xvfb, xauth, dbus-x11
Restrictions: build-needed

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/parley-([\d.]+).tar.xz
